> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# rocketlane-projects

> Rocketlane Projects - Manage projects, phases, spaces, and documents

**Server path:** `/rocketlane-projects` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                          | Description                                      |
| --------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| [`rocketlane_projects_add_members`](#rocketlane_projects_add_members)                         | Add members to a project                         |
| [`rocketlane_projects_archive_project`](#rocketlane_projects_archive_project)                 | Archive project by Id                            |
| [`rocketlane_projects_assign_placeholders`](#rocketlane_projects_assign_placeholders)         | Assign placeholders to an user in a project      |
| [`rocketlane_projects_create_phase`](#rocketlane_projects_create_phase)                       | Create a phase                                   |
| [`rocketlane_projects_create_project`](#rocketlane_projects_create_project)                   | Create a project                                 |
| [`rocketlane_projects_create_space`](#rocketlane_projects_create_space)                       | Create a space                                   |
| [`rocketlane_projects_create_space_document`](#rocketlane_projects_create_space_document)     | Create a space document                          |
| [`rocketlane_projects_delete_phase`](#rocketlane_projects_delete_phase)                       | Delete phase by Id                               |
| [`rocketlane_projects_delete_project`](#rocketlane_projects_delete_project)                   | Delete project by Id                             |
| [`rocketlane_projects_delete_space`](#rocketlane_projects_delete_space)                       | Delete space by Id                               |
| [`rocketlane_projects_delete_space_document`](#rocketlane_projects_delete_space_document)     | Delete space document by Id                      |
| [`rocketlane_projects_get_all_phases`](#rocketlane_projects_get_all_phases)                   | Get all phases                                   |
| [`rocketlane_projects_get_all_projects`](#rocketlane_projects_get_all_projects)               | Get all projects                                 |
| [`rocketlane_projects_get_all_space_documents`](#rocketlane_projects_get_all_space_documents) | Get all space documents                          |
| [`rocketlane_projects_get_all_spaces`](#rocketlane_projects_get_all_spaces)                   | Get all spaces                                   |
| [`rocketlane_projects_get_phase`](#rocketlane_projects_get_phase)                             | Get phase by Id                                  |
| [`rocketlane_projects_get_placeholders`](#rocketlane_projects_get_placeholders)               | Get placeholders                                 |
| [`rocketlane_projects_get_project`](#rocketlane_projects_get_project)                         | Get project by Id                                |
| [`rocketlane_projects_get_space`](#rocketlane_projects_get_space)                             | Get space by Id                                  |
| [`rocketlane_projects_get_space_document`](#rocketlane_projects_get_space_document)           | Get space document by Id                         |
| [`rocketlane_projects_import_template`](#rocketlane_projects_import_template)                 | Import a template to a project                   |
| [`rocketlane_projects_remove_members`](#rocketlane_projects_remove_members)                   | Remove members from a project                    |
| [`rocketlane_projects_unassign_placeholders`](#rocketlane_projects_unassign_placeholders)     | Un assign placeholders from an user in a project |
| [`rocketlane_projects_update_phase`](#rocketlane_projects_update_phase)                       | Update phase by Id                               |
| [`rocketlane_projects_update_project`](#rocketlane_projects_update_project)                   | Update project by Id                             |
| [`rocketlane_projects_update_space`](#rocketlane_projects_update_space)                       | Update space by Id                               |
| [`rocketlane_projects_update_space_document`](#rocketlane_projects_update_space_document)     | Update space document by Id                      |

***

## rocketlane\_projects\_add\_members

Add members to a project

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                                                                            |
| ----------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `projectId` | integer   | Yes      | —       | The project's unique, system-generated identifier, which can be used to identify the project globally. |
| `customers` | object\[] | No       | —       | The project customers.                                                                                 |
| `members`   | object\[] | No       | —       | The project team members.                                                                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "projectId": {
        "type": "integer",
        "description": "The project's unique, system-generated identifier, which can be used to identify the project globally."
      },
      "customers": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "emailId": {
              "type": "string",
              "description": "The customers' email identifier."
            },
            "userId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier for the customer."
            },
            "firstName": {
              "type": "string",
              "description": "The first name of the customer."
            },
            "lastName": {
              "type": "string",
              "description": "The last name of the customer."
            }
          }
        },
        "description": "The project customers."
      },
      "members": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "emailId": {
              "type": "string",
              "description": "The team members email identifier."
            },
            "userId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier for the user."
            },
            "firstName": {
              "type": "string",
              "description": "The first name of the user."
            },
            "lastName": {
              "type": "string",
              "description": "The last name of the user."
            }
          }
        },
        "description": "The project team members."
      }
    },
    "required": [
      "PCID",
      "projectId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_archive\_project

Archive project by Id

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                            |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `projectId` | integer | Yes      | —       | The project's unique, system-generated identifier, which can be used to identify the project globally. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "projectId": {
        "type": "integer",
        "description": "The project's unique, system-generated identifier, which can be used to identify the project globally."
      }
    },
    "required": [
      "PCID",
      "projectId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_assign\_placeholders

Assign placeholders to an user in a project

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                                                                            |
| ----------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `projectId` | integer   | Yes      | —       | The project's unique, system-generated identifier, which can be used to identify the project globally. |
| `body`      | object\[] | Yes      | —       | Request body                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "projectId": {
        "type": "integer",
        "description": "The project's unique, system-generated identifier, which can be used to identify the project globally."
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "placeholderId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier for the placeholder."
            },
            "user": {
              "type": "object",
              "description": "The member from the project to assign/replace the placeholder with. If the placeholder's type is `CUSTOMER`, then the assigning user needs to be a customer user."
            }
          },
          "required": [
            "placeholderId",
            "user"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "projectId",
      "body"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_create\_phase

Create a phase

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                               |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                    |
| `dueDate`          | string    | Yes      | —       | The day on which the phase's execution is planned to be completed. The due date is required and cannot be left blank. The `dueDate` must be on or after the given `startDate`. The format for the due date is *YYYY-MM-DD*.                               |
| `phaseId`          | integer   | No       | —       | The `identifier` of the phase is generated by the system and can be used to identify the phase globally.                                                                                                                                                  |
| `phaseName`        | string    | Yes      | —       | The `name` of the phase. The name specified will be displayed everywhere else and can be used for filtering purposes.                                                                                                                                     |
| `private`          | boolean   | No       | —       | Describes the privacy of the phase i.e. if it is private or shared.                                                                                                                                                                                       |
| `project`          | object    | Yes      | —       | The `project` associated with phase needs to be specified here and it is mandatory for the phase to get created and map accordingly.                                                                                                                      |
| `startDate`        | string    | Yes      | —       | On this date the phase's execution officially begins. The start date is required. The format for the start date is *YYYY-MM-DD*.                                                                                                                          |
| `status`           | object    | No       | —       | The value of the phase status can be specified here and this is essential to keep track of the phase.                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "startDateActual",
            "dueDateActual"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "dueDate": {
        "type": "string",
        "description": "The day on which the phase's execution is planned to be completed. The due date is required and cannot be left blank. The `dueDate` must be on or after the given `startDate`. The format for the due date is _YYYY-MM-DD_."
      },
      "phaseId": {
        "type": "integer",
        "description": "The `identifier` of the phase is generated by the system and can be used to identify the phase globally."
      },
      "phaseName": {
        "type": "string",
        "description": "The `name` of the phase. The name specified will be displayed everywhere else and can be used for filtering purposes."
      },
      "private": {
        "type": "boolean",
        "description": "Describes the privacy of the phase i.e. if it is private or shared."
      },
      "project": {
        "type": "object",
        "description": "The `project` associated with phase needs to be specified here and it is mandatory for the phase to get created and map accordingly.",
        "properties": {
          "projectId": {
            "type": "integer",
            "description": "The `identifier` of the project is generated by the system and can be used to identify the project globally."
          }
        },
        "required": [
          "projectId"
        ]
      },
      "startDate": {
        "type": "string",
        "description": "On this date the phase's execution officially begins. The start date is required. The format for the start date is _YYYY-MM-DD_."
      },
      "status": {
        "type": "object",
        "description": "The value of the phase status can be specified here and this is essential to keep track of the phase.",
        "properties": {
          "value": {
            "type": "integer",
            "description": "The value of the status field."
          }
        }
      }
    },
    "required": [
      "PCID",
      "dueDate",
      "phaseName",
      "project",
      "startDate"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_create\_project

Create a project

**Parameters:**

| Parameter                    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ---------------------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `includeFields`              | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.                                                                                                                                                                                                                  |
| `includeAllFields`           | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                                                                                                                                                                                                                                     |
| `annualizedRecurringRevenue` | integer   | No       | —       | Indicates the value of the recurring revenue of the customer's subscriptions for a single calendar year.                                                                                                                                                                                                                                                                                                                                                                   |
| `assignProjectOwner`         | boolean   | No       | —       | When a project is created, you can use this param to automatically assign any unassigned tasks to the **project owner**. Note: If the project hasn't been created using sources, this value will be skipped.                                                                                                                                                                                                                                                               |
| `autoAllocation`             | boolean   | No       | —       | The field autoAllocation defines whether Auto Allocation is enabled for the project or not. If auto allocation is enabled, instead of adding it manually, the allocations are computed from the tasks duration, effort and the assignees specified in the project.                                                                                                                                                                                                         |
| `autoCreateCompany`          | boolean   | No       | —       | The field auto create company defines whether company should be created as part of the project creation. If the field is set to true, then if the company exists we re-use the company and proceed further. Else we will create a new company.                                                                                                                                                                                                                             |
| `budgetedHours`              | number    | No       | —       | Budgeted hours represent the total hours allocated for project execution. This value can be edited at any point throughout the project's duration. You can enter the budgeted hours in decimal form, including both hours and minutes, with up to two decimal places of precision. Eg: 1.65 hrs = 1h 39m(1.65h \* 60m = 99m).                                                                                                                                              |
| `currency`                   | string    | No       | —       | The currency for handling the project’s financials. You can only specify a currency for a project that is added at the account level. Please note that the project’s currency cannot to changed once set.                                                                                                                                                                                                                                                                  |
| `customer`                   | object    | Yes      | —       | This field is required to identify the `customer` as part of the request. The customer's name is case-sensitive, and an exact match is required for further processing. It should be noted that once the customer information is entered, it cannot be modified during the project's lifespan.                                                                                                                                                                             |
| `dueDate`                    | string    | No       | —       | The day on which the project's execution is planned to be completed. The due date is not required and can be left blank. If sources (templates) are included as part of the project creation, the project's due date will be calculated depending on the duration of the specified sources. For projects where both `startDate` and `dueDate` are specified, the latter must be on or after the given `startDate`. The format for the due date is *YYYY-MM-DD*.            |
| `externalReferenceId`        | string    | No       | —       | An externalReferenceId is a unique identifier that links entities or transactions between external systems and Rocketlane, ensuring accurate data correlation and consistency.                                                                                                                                                                                                                                                                                             |
| `fields`                     | object\[] | No       | —       | The custom fields can be set during the project creation with the help of `fields`. The `fieldValue` can be either a string or a number or an array and it has to comply with the type of the field. Refer [examples](https://developer.rocketlane.com/v1.0/docs/custom-fields#examples-of-requests-and-responses-for-assigning-custom-field-values) to know how to assign `fieldValue` based on their `field_type`.                                                       |
| `financials`                 | object    | No       | —       | This section addresses the financial aspects of the projects and the associated fields.                                                                                                                                                                                                                                                                                                                                                                                    |
| `owner`                      | object    | Yes      | —       | The project owner is mandatory to be specified along with the project creation. The owner gets access to everything in the project and can be used to control the activities that happens in the project. Project owner will receive project invite email based on their notification configuration                                                                                                                                                                        |
| `partners`                   | object\[] | No       | —       | The `partners` field is used to specify partner companies.                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `placeholders`               | object\[] | No       | —       | Rocketlane's placeholders are associated with roles.  Based on the kind of roles and expertise that are needed to execute a task, placeholders can be added as assignees to templates as well as projects. Eventually, you can resolve placeholders by replacing them with team members according to their availability and role. Note: If the project is not built using sources, this value will be ignored but the mappings are retained and can be used in the future. |
| `projectFee`                 | integer   | No       | —       | The total fee that is charged for the project.                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `projectId`                  | integer   | No       | —       | The `identifier` of the project is generated by the system and can be used to identify the project globally.                                                                                                                                                                                                                                                                                                                                                               |
| `projectName`                | string    | Yes      | —       | The `name` of the project. The name specified will be displayed everywhere else and can be used for filtering purposes.                                                                                                                                                                                                                                                                                                                                                    |
| `sources`                    | object\[] | No       | —       | Sources denotes the project templates involved in creation/ imported post creation of the `project`.                                                                                                                                                                                                                                                                                                                                                                       |
| `startDate`                  | string    | No       | —       | On this date the project's execution officially begins. If sources (templates) are mentioned in the request, the start date is required. For projects without any defined sources, it may be empty. The format for the start date is *YYYY-MM-DD*.                                                                                                                                                                                                                         |
| `status`                     | object    | No       | —       | The value of the project status can be specified here and this is essential to keep track of the project.                                                                                                                                                                                                                                                                                                                                                                  |
| `teamMembers`                | object    | No       | —       | The teamMembers field can be used to specify the project members, customers and customerChampion. Once the project is created, an invite will be emailed to all the `teamMembers` specified.                                                                                                                                                                                                                                                                               |
| `visibility`                 | string    | No       | —       | Set visibility parameters to restrict who can see your project. There are two options: `EVERYONE` and `MEMBERS`. Selecting `EVERYONE` allows all team members from your firm to view the project, while selecting `MEMBERS` restricts access to only those team members who have been specifically invited.                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "annualizedRecurringRevenue",
            "projectFee",
            "allocatedHours",
            "allocatedMinutes",
            "budgetedHours",
            "percentageBudgetedHoursConsumed",
            "percentageBudgetConsumed",
            "billableHours",
            "billableMinutes",
            "nonBillableHours",
            "nonBillableMinutes",
            "trackedHours",
            "trackedMinutes",
            "progressPercentage",
            "startDateActual",
            "dueDateActual",
            "currentPhase",
            "autoAllocation",
            "sources",
            "inferredProgress",
            "plannedDuration",
            "projectAgeInDays",
            "customersInvited",
            "customersJoined",
            "externalReferenceId",
            "metrics",
            "remainingMinutes",
            "remainingHours"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "annualizedRecurringRevenue": {
        "type": "integer",
        "description": "Indicates the value of the recurring revenue of the customer's subscriptions for a single calendar year."
      },
      "assignProjectOwner": {
        "type": "boolean",
        "description": "When a project is created, you can use this param to automatically assign any unassigned tasks to the **project owner**. Note: If the project hasn't been created using sources, this value will be skipped."
      },
      "autoAllocation": {
        "type": "boolean",
        "description": "The field autoAllocation defines whether Auto Allocation is enabled for the project or not. If auto allocation is enabled, instead of adding it manually, the allocations are computed from the tasks duration, effort and the assignees specified in the project."
      },
      "autoCreateCompany": {
        "type": "boolean",
        "description": "The field auto create company defines whether company should be created as part of the project creation. If the field is set to true, then if the company exists we re-use the company and proceed further. Else we will create a new company."
      },
      "budgetedHours": {
        "type": "number",
        "description": "Budgeted hours represent the total hours allocated for project execution. This value can be edited at any point throughout the project's duration. You can enter the budgeted hours in decimal form, including both hours and minutes, with up to two decimal places of precision. Eg: 1.65 hrs = 1h 39m(1.65h * 60m = 99m)."
      },
      "currency": {
        "type": "string",
        "description": "The currency for handling the project’s financials. You can only specify a currency for a project that is added at the account level. Please note that the project’s currency cannot to changed once set.",
        "enum": [
          "AFN",
          "ALL",
          "DZD",
          "ARS",
          "AMD",
          "AUD",
          "AZN",
          "BHD",
          "BDT",
          "BYN",
          "BZD",
          "BOB",
          "BAM",
          "BWP",
          "BRL",
          "GBP",
          "BND",
          "BGN",
          "BIF",
          "KHR",
          "CAD",
          "CVE",
          "XAF",
          "CLP",
          "CNY",
          "COP",
          "KMF",
          "CDF",
          "CRC",
          "HRK",
          "CZK",
          "DKK",
          "DJF",
          "DOP",
          "EGP",
          "ERN",
          "EEK",
          "ETB",
          "EUR",
          "GEL",
          "GHS",
          "GTQ",
          "GNF",
          "HNL",
          "HKD",
          "HUF",
          "ISK",
          "INR",
          "IDR",
          "IRR",
          "IQD",
          "ILS",
          "JMD",
          "JPY",
          "JOD",
          "KZT",
          "KES",
          "KWD",
          "LVL",
          "LBP",
          "LYD",
          "LTL",
          "MOP",
          "MKD",
          "MGA",
          "MYR",
          "MUR",
          "MXN",
          "MDL",
          "MAD",
          "MZN",
          "MMK",
          "NAD",
          "NPR",
          "TWD",
          "NZD",
          "NIO",
          "NGN",
          "NOK",
          "OMR",
          "PKR",
          "PAB",
          "PYG",
          "PEN",
          "PHP",
          "PLN",
          "QAR",
          "RON",
          "RUB",
          "RWF",
          "SAR",
          "RSD",
          "SGD",
          "SOS",
          "ZAR",
          "KRW",
          "LKR",
          "SDG",
          "SEK",
          "CHF",
          "SYP",
          "TZS",
          "THB",
          "TOP",
          "TTD",
          "TND",
          "TRY",
          "USD",
          "UGX",
          "UAH",
          "AED",
          "UYU",
          "UZS",
          "VEF",
          "VND",
          "XOF",
          "YER",
          "ZMK",
          "ZWL"
        ]
      },
      "customer": {
        "type": "object",
        "description": "This field is required to identify the `customer` as part of the request. The customer's name is case-sensitive, and an exact match is required for further processing. It should be noted that once the customer information is entered, it cannot be modified during the project's lifespan.",
        "properties": {
          "companyName": {
            "type": "string",
            "description": "The name of the customer company"
          },
          "companyId": {
            "type": "integer",
            "description": "The company's unique, system-generated identifier, which can be used to identify the company globally."
          }
        }
      },
      "dueDate": {
        "type": "string",
        "description": "The day on which the project's execution is planned to be completed. The due date is not required and can be left blank. If sources (templates) are included as part of the project creation, the project's due date will be calculated depending on the duration of the specified sources. For projects where both `startDate` and `dueDate` are specified, the latter must be on or after the given `startDate`. The format for the due date is _YYYY-MM-DD_."
      },
      "externalReferenceId": {
        "type": "string",
        "description": "An externalReferenceId is a unique identifier that links entities or transactions between external systems and Rocketlane, ensuring accurate data correlation and consistency."
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "fieldId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier of the field"
            },
            "fieldValue": {
              "type": "object",
              "description": "The value of the field. It can either be a string or a number or number array. Refer [example](https://developer.rocketlane.com/v1.0/docs/custom-fields#examples-of-requests-and-responses-for-assigning-custom-field-values) to know more about assigning value for different fields."
            }
          }
        },
        "description": "The custom fields can be set during the project creation with the help of `fields`. The `fieldValue` can be either a string or a number or an array and it has to comply with the type of the field. Refer [examples](https://developer.rocketlane.com/v1.0/docs/custom-fields#examples-of-requests-and-responses-for-assigning-custom-field-values) to know how to assign `fieldValue` based on their `field_type`."
      },
      "financials": {
        "type": "object",
        "description": "This section addresses the financial aspects of the projects and the associated fields.",
        "properties": {
          "contractType": {
            "type": "string",
            "description": "The contract type or the billing method for the project financials.",
            "enum": [
              "FIXED_FEE",
              "TIME_AND_MATERIAL",
              "NON_BILLABLE",
              "SUBSCRIPTION"
            ]
          },
          "fixedFeeContract": {
            "type": "object",
            "description": "This section addresses the financial aspects of the Fixed Fee contract type projects and its associated fields."
          },
          "timeAndMaterialContract": {
            "type": "object",
            "description": "This section addresses the financial aspects of the Time & Material contract type projects and its associated fields."
          },
          "subscriptionContract": {
            "type": "object",
            "description": "This section addresses the financial aspects of the Subscription contract type projects and its associated fields."
          }
        },
        "required": [
          "contractType"
        ]
      },
      "owner": {
        "type": "object",
        "description": "The project owner is mandatory to be specified along with the project creation. The owner gets access to everything in the project and can be used to control the activities that happens in the project. Project owner will receive project invite email based on their notification configuration",
        "properties": {
          "emailId": {
            "type": "string",
            "description": "The project owner's email identifier."
          },
          "userId": {
            "type": "integer",
            "description": "The unique identifier for project owner."
          },
          "firstName": {
            "type": "string",
            "description": "The first name of the project owner."
          },
          "lastName": {
            "type": "string",
            "description": "The last name of the project owner."
          }
        }
      },
      "partners": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "companyName": {
              "type": "string",
              "description": "Company Name"
            },
            "companyId": {
              "type": "integer",
              "format": "int64",
              "description": "The id of partner company"
            }
          }
        },
        "description": "The `partners` field is used to specify partner companies."
      },
      "placeholders": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "placeholderId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier for the placeholder."
            },
            "user": {
              "type": "object",
              "description": "The member from the project to assign/replace the placeholder with. If the placeholder's type is `CUSTOMER`, then the assigning user needs to be a customer user."
            }
          },
          "required": [
            "placeholderId",
            "user"
          ]
        },
        "description": "Rocketlane's placeholders are associated with roles.  Based on the kind of roles and expertise that are needed to execute a task, placeholders can be added as assignees to templates as well as projects. Eventually, you can resolve placeholders by replacing them with team members according to their availability and role. Note: If the project is not built using sources, this value will be ignored but the mappings are retained and can be used in the future."
      },
      "projectFee": {
        "type": "integer",
        "description": "The total fee that is charged for the project."
      },
      "projectId": {
        "type": "integer",
        "description": "The `identifier` of the project is generated by the system and can be used to identify the project globally."
      },
      "projectName": {
        "type": "string",
        "description": "The `name` of the project. The name specified will be displayed everywhere else and can be used for filtering purposes."
      },
      "sources": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "prefix": {
              "type": "string",
              "description": "A prefix can be used to distinguish which phase or task corresponds to which template when adding more than one source to a project."
            },
            "startDate": {
              "type": "string",
              "format": "date",
              "description": "The date on which the template goes into effect for the project."
            },
            "templateId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier for the template."
            }
          },
          "required": [
            "startDate",
            "templateId"
          ]
        },
        "description": "Sources denotes the project templates involved in creation/ imported post creation of the `project`."
      },
      "startDate": {
        "type": "string",
        "description": "On this date the project's execution officially begins. If sources (templates) are mentioned in the request, the start date is required. For projects without any defined sources, it may be empty. The format for the start date is _YYYY-MM-DD_."
      },
      "status": {
        "type": "object",
        "description": "The value of the project status can be specified here and this is essential to keep track of the project.",
        "properties": {
          "value": {
            "type": "integer",
            "description": "The value of the status field."
          }
        }
      },
      "teamMembers": {
        "type": "object",
        "description": "The teamMembers field can be used to specify the project members, customers and customerChampion. Once the project is created, an invite will be emailed to all the `teamMembers` specified.",
        "properties": {
          "members": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The team members from your organization who will be working on the project."
          },
          "customers": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The customer stakeholders involved in the project."
          },
          "customerChampion": {
            "type": "object",
            "description": "The Customer champion is the team member in charge of project management and representing the customer's team."
          }
        }
      },
      "visibility": {
        "type": "string",
        "description": "Set visibility parameters to restrict who can see your project. There are two options: `EVERYONE` and `MEMBERS`. Selecting `EVERYONE` allows all team members from your firm to view the project, while selecting `MEMBERS` restricts access to only those team members who have been specifically invited.",
        "enum": [
          "EVERYONE",
          "MEMBERS"
        ]
      }
    },
    "required": [
      "PCID",
      "customer",
      "owner",
      "projectName"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_create\_space

Create a space

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                        |
| ----------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------- |
| `private`   | boolean | No       | —       | Describes the privacy of the space i.e. if it is private or shared.                                |
| `project`   | object  | Yes      | —       | The `project` where the `space` exists.                                                            |
| `spaceId`   | integer | No       | —       | The space's unique, system-generated identifier, which can be used to identify the space globally. |
| `spaceName` | string  | Yes      | —       | The name of the space.                                                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "private": {
        "type": "boolean",
        "description": "Describes the privacy of the space i.e. if it is private or shared."
      },
      "project": {
        "type": "object",
        "description": "The `project` where the `space` exists.",
        "properties": {
          "projectId": {
            "type": "integer",
            "description": "The unique, system-generated identifier of the project associated with space."
          }
        },
        "required": [
          "projectId"
        ]
      },
      "spaceId": {
        "type": "integer",
        "description": "The space's unique, system-generated identifier, which can be used to identify the space globally."
      },
      "spaceName": {
        "type": "string",
        "description": "The name of the space."
      }
    },
    "required": [
      "PCID",
      "project",
      "spaceName"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_create\_space\_document

Create a space document

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                                          |
| ------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| `source`            | object  | No       | —       | Sources denote the document templates based on which the document is created                                         |
| `space`             | object  | Yes      | —       | Information about the space to which the space document belongs to.                                                  |
| `spaceDocumentId`   | integer | No       | —       | The space document's unique, system-generated identifier, which can be used to identify the space document globally. |
| `spaceDocumentName` | string  | No       | —       | The name of the space document.By default, the name is 'Untitled'.                                                   |
| `spaceDocumentType` | string  | Yes      | —       | Defines the type of the space document. This could be a Rocketlane document or an embedded document.                 |
| `url`               | string  | No       | —       | The url that is embedded in the space document.                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "source": {
        "type": "object",
        "description": "Sources denote the document templates based on which the document is created",
        "properties": {
          "templateId": {
            "type": "integer",
            "description": "The unique identifier for the template."
          },
          "templateName": {
            "type": "string",
            "description": "The name of the template."
          }
        }
      },
      "space": {
        "type": "object",
        "description": "Information about the space to which the space document belongs to.",
        "properties": {
          "spaceId": {
            "type": "integer",
            "description": "The space's unique, system-generated identifier, which can be used to identify the space globally."
          },
          "spaceName": {
            "type": "string",
            "description": "The name of the space."
          }
        }
      },
      "spaceDocumentId": {
        "type": "integer",
        "description": "The space document's unique, system-generated identifier, which can be used to identify the space document globally."
      },
      "spaceDocumentName": {
        "type": "string",
        "description": "The name of the space document.By default, the name is 'Untitled'."
      },
      "spaceDocumentType": {
        "type": "string",
        "description": "Defines the type of the space document. This could be a Rocketlane document or an embedded document.",
        "enum": [
          "ROCKETLANE_DOCUMENT",
          "EMBEDDED_DOCUMENT"
        ]
      },
      "url": {
        "type": "string",
        "description": "The url that is embedded in the space document."
      }
    },
    "required": [
      "PCID",
      "space",
      "spaceDocumentType"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_delete\_phase

Delete phase by Id

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                                                              |
| --------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `phaseId` | integer | Yes      | —       | The `identifier` of the phase is generated by the system and can be used to identify the phase globally. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "phaseId": {
        "type": "integer",
        "description": "The `identifier` of the phase is generated by the system and can be used to identify the phase globally."
      }
    },
    "required": [
      "PCID",
      "phaseId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_delete\_project

Delete project by Id

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                            |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `projectId` | integer | Yes      | —       | The project's unique, system-generated identifier, which can be used to identify the project globally. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "projectId": {
        "type": "integer",
        "description": "The project's unique, system-generated identifier, which can be used to identify the project globally."
      }
    },
    "required": [
      "PCID",
      "projectId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_delete\_space

Delete space by Id

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                                                        |
| --------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------- |
| `spaceId` | integer | Yes      | —       | The space's unique, system-generated identifier, which can be used to identify the space globally. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "spaceId": {
        "type": "integer",
        "description": "The space's unique, system-generated identifier, which can be used to identify the space globally."
      }
    },
    "required": [
      "PCID",
      "spaceId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_delete\_space\_document

Delete space document by Id

**Parameters:**

| Parameter         | Type    | Required | Default | Description                                                                                                          |
| ----------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| `spaceDocumentId` | integer | Yes      | —       | The space document's unique, system-generated identifier, which can be used to identify the space document globally. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "spaceDocumentId": {
        "type": "integer",
        "description": "The space document's unique, system-generated identifier, which can be used to identify the space document globally."
      }
    },
    "required": [
      "PCID",
      "spaceDocumentId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_get\_all\_phases

Get all phases

**Parameters:**

| Parameter            | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| -------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `projectId`          | integer   | Yes      | —       | The `identifier` of the project is generated by the system and can be used to identify the project globally.                                                                                                                                                                                        |
| `pageSize`           | number    | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken`          | string    | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |
| `includeFields`      | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.                                           |
| `includeAllFields`   | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                                                              |
| `sortBy`             | string    | No       | —       | You can use the sortBy param to sort the responses by the given field.                                                                                                                                                                                                                              |
| `sortOrder`          | string    | No       | —       | The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.                                                                                                                                                  |
| `match`              | string    | No       | —       | You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.                                                                                                                                                                           |
| `startDate.gt`       | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than the given date.                                                                                                                                                                       |
| `startDate.eq`       | string    | No       | —       | You can use this param to specify some date and the responses will contain exact matches of phases that match the given date.                                                                                                                                                                       |
| `startDate.lt`       | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than the given date.                                                                                                                                                                          |
| `startDate.ge`       | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date.                                                                                                                                                           |
| `startDate.le`       | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date.                                                                                                                                                              |
| `dueDate.gt`         | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than the given date.                                                                                                                                                                       |
| `dueDate.eq`         | string    | No       | —       | You can use this param to specify some date and the responses will contain exact matches of phases that match the given date.                                                                                                                                                                       |
| `dueDate.lt`         | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than the given date.                                                                                                                                                                          |
| `dueDate.ge`         | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date.                                                                                                                                                           |
| `dueDate.le`         | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date.                                                                                                                                                              |
| `startDateActual.gt` | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than the given date.                                                                                                                                                                       |
| `startDateActual.eq` | string    | No       | —       | You can use this param to specify some date and the responses will contain exact matches of phases that match the given date.                                                                                                                                                                       |
| `startDateActual.lt` | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than the given date.                                                                                                                                                                          |
| `startDateActual.ge` | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date.                                                                                                                                                           |
| `startDateActual.le` | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date.                                                                                                                                                              |
| `dueDateActual.gt`   | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than the given date.                                                                                                                                                                       |
| `dueDateActual.eq`   | string    | No       | —       | You can use this param to specify some date and the responses will contain exact matches of phases that match the given date.                                                                                                                                                                       |
| `dueDateActual.lt`   | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than the given date.                                                                                                                                                                          |
| `dueDateActual.ge`   | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date.                                                                                                                                                           |
| `dueDateActual.le`   | string    | No       | —       | You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date.                                                                                                                                                              |
| `createdAt.gt`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than the given phases created date.                                                                                                                                             |
| `createdAt.eq`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of phases that match the given phases created date.                                                                                                                                             |
| `createdAt.lt`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than the given phases created date.                                                                                                                                                |
| `createdAt.ge`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than or equal to the given phases created date.                                                                                                                                 |
| `createdAt.le`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than or equal to the given phases created date.                                                                                                                                    |
| `updatedAt.gt`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than the given phases updated date.                                                                                                                                             |
| `updatedAt.eq`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of phases that match the given phases updated date.                                                                                                                                             |
| `updatedAt.lt`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than the given phases updated date.                                                                                                                                                |
| `updatedAt.ge`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than or equal to the given phases updated date.                                                                                                                                 |
| `updatedAt.le`       | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than or equal to the given phases updated date.                                                                                                                                    |
| `phaseName.eq`       | string    | No       | —       | You can use this param to specify some phase name and the responses will contain exact matches of phases that match the given name.                                                                                                                                                                 |
| `phaseName.cn`       | string    | No       | —       | You can use this param to specify some phase name and the responses will contain matches of phases that match the given name.                                                                                                                                                                       |
| `phaseName.nc`       | string    | No       | —       | You can use this param to specify some phase name and the responses will not contain matches of phases that match the given name.                                                                                                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "projectId": {
        "type": "integer",
        "description": "The `identifier` of the project is generated by the system and can be used to identify the project globally."
      },
      "pageSize": {
        "type": "number",
        "description": "This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100."
      },
      "pageToken": {
        "type": "string",
        "description": "Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created."
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "startDateActual",
            "dueDateActual"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "sortBy": {
        "type": "string",
        "description": "You can use the sortBy param to sort the responses by the given field.",
        "enum": [
          "phaseName",
          "startDate",
          "dueDate",
          "startDateActual",
          "dueDateActual"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.",
        "enum": [
          "ASC",
          "DESC"
        ]
      },
      "match": {
        "type": "string",
        "description": "You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.",
        "enum": [
          "all",
          "any"
        ]
      },
      "startDate.gt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than the given date."
      },
      "startDate.eq": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain exact matches of phases that match the given date."
      },
      "startDate.lt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than the given date."
      },
      "startDate.ge": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date."
      },
      "startDate.le": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date."
      },
      "dueDate.gt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than the given date."
      },
      "dueDate.eq": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain exact matches of phases that match the given date."
      },
      "dueDate.lt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than the given date."
      },
      "dueDate.ge": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date."
      },
      "dueDate.le": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date."
      },
      "startDateActual.gt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than the given date."
      },
      "startDateActual.eq": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain exact matches of phases that match the given date."
      },
      "startDateActual.lt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than the given date."
      },
      "startDateActual.ge": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date."
      },
      "startDateActual.le": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date."
      },
      "dueDateActual.gt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than the given date."
      },
      "dueDateActual.eq": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain exact matches of phases that match the given date."
      },
      "dueDateActual.lt": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than the given date."
      },
      "dueDateActual.ge": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are greater than or equal to the given date."
      },
      "dueDateActual.le": {
        "type": "string",
        "description": "You can use this param to specify some date and the responses will contain phases whose date are less than or equal to the given date."
      },
      "createdAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than the given phases created date."
      },
      "createdAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain exact matches of phases that match the given phases created date."
      },
      "createdAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than the given phases created date."
      },
      "createdAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than or equal to the given phases created date."
      },
      "createdAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than or equal to the given phases created date."
      },
      "updatedAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than the given phases updated date."
      },
      "updatedAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain exact matches of phases that match the given phases updated date."
      },
      "updatedAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than the given phases updated date."
      },
      "updatedAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are greater than or equal to the given phases updated date."
      },
      "updatedAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain phases whose date are less than or equal to the given phases updated date."
      },
      "phaseName.eq": {
        "type": "string",
        "description": "You can use this param to specify some phase name and the responses will contain exact matches of phases that match the given name."
      },
      "phaseName.cn": {
        "type": "string",
        "description": "You can use this param to specify some phase name and the responses will contain matches of phases that match the given name."
      },
      "phaseName.nc": {
        "type": "string",
        "description": "You can use this param to specify some phase name and the responses will not contain matches of phases that match the given name."
      }
    },
    "required": [
      "PCID",
      "projectId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_projects\_get\_all\_projects

Get all projects

**Parameters:**

| Parameter                       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| ------------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `pageSize`                      | number    | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken`                     | string    | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |
| `includeFields`                 | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.                                           |
| `includeAllFields`              | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                                                              |
| `sortBy`                        | string    | No       | —       | For sorting the responses by the provided field, use the sortBy parameter.                                                                                                                                                                                                                          |
| `sortOrder`                     | string    | No       | —       | The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.                                                                                                                                                  |
| `match`                         | string    | No       | —       | You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.                                                                                                                                                                           |
| `startDate.gt`                  | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than the given start date.                                                                                                                                                                  |
| `startDate.eq`                  | string    | No       | —       | You can use this param to provide a date and the responses will contain exact matches of projects that match the given start date.                                                                                                                                                                  |
| `startDate.lt`                  | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than the given start date.                                                                                                                                                                     |
| `startDate.ge`                  | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than or equal to the given start date.                                                                                                                                                      |
| `startDate.le`                  | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than or equal to the given start date.                                                                                                                                                         |
| `dueDate.gt`                    | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than the given due date.                                                                                                                                                                    |
| `dueDate.eq`                    | string    | No       | —       | You can use this param to provide a date and the responses will contain exact matches of projects that match the given due date.                                                                                                                                                                    |
| `dueDate.lt`                    | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than the given due date.                                                                                                                                                                       |
| `dueDate.ge`                    | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than or equal to the given due date.                                                                                                                                                        |
| `dueDate.le`                    | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than or equal to the given due date.                                                                                                                                                           |
| `startDateActual.gt`            | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than the given actual start date.                                                                                                                                                           |
| `startDateActual.eq`            | string    | No       | —       | You can use this param to provide a date and the responses will contain exact matches of projects that match the given actual start date.                                                                                                                                                           |
| `startDateActual.lt`            | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than the given actual start date.                                                                                                                                                              |
| `startDateActual.ge`            | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than or equal to the given actual start date.                                                                                                                                               |
| `startDateActual.le`            | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than or equal to the given actual start date.                                                                                                                                                  |
| `dueDateActual.gt`              | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than the given actual due date.                                                                                                                                                             |
| `dueDateActual.eq`              | string    | No       | —       | You can use this param to provide a date and the responses will contain exact matches of projects that match the given actual due date.                                                                                                                                                             |
| `dueDateActual.lt`              | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than the given actual due date.                                                                                                                                                                |
| `dueDateActual.ge`              | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are greater than or equal to the given actual due date.                                                                                                                                                 |
| `dueDateActual.le`              | string    | No       | —       | You can use this param to provide a date and the responses will contain projects whose date are less than or equal to the given actual due date.                                                                                                                                                    |
| `createdAt.gt`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are greater than the given project created date.                                                                                                                                          |
| `createdAt.eq`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of projects that match the given project created date.                                                                                                                                          |
| `createdAt.lt`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are less than the given project created date.                                                                                                                                             |
| `createdAt.ge`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are greater than or equal to the given project created date.                                                                                                                              |
| `createdAt.le`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are less than or equal to the given project created date.                                                                                                                                 |
| `updatedAt.gt`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are greater than the given project updated date.                                                                                                                                          |
| `updatedAt.eq`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of projects that match the given project updated date.                                                                                                                                          |
| `updatedAt.lt`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are less than the given project updated date.                                                                                                                                             |
| `updatedAt.ge`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are greater than or equal to the given project updated date.                                                                                                                              |
| `updatedAt.le`                  | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain projects whose date are less than or equal to the given project updated date.                                                                                                                                 |
| `annualizedRecurringRevenue.eq` | number    | No       | —       | You can use this param to specify some value as ARR and the responses will contain exact matches of projects that match the given value.                                                                                                                                                            |
| `annualizedRecurringRevenue.gt` | number    | No       | —       | You can use this param to specify some value as ARR and the responses will contain exact matches of projects greater than that of the given value.                                                                                                                                                  |
| `annualizedRecurringRevenue.lt` | number    | No       | —       | You can use this param to specify some value as ARR and the responses will contain exact matches of projects lesser than that of the given value.                                                                                                                                                   |
| `projectFee.eq`                 | number    | No       | —       | You can use this param to specify some value as project fee and the responses will contain exact matches of projects that match the given value.                                                                                                                                                    |
| `projectFee.gt`                 | number    | No       | —       | You can use this param to specify some value as project fee and the responses will contain matches of projects greater than that of the given value.                                                                                                                                                |
| `projectFee.lt`                 | number    | No       | —       | You can use this param to specify some value as project fee and the responses will contain matches of projects lesser than that of the given value.                                                                                                                                                 |
| `customerId.eq`                 | string    | No       | —       | You can use this param to provide a customer company id and the responses will contain exact matches of projects that match the given customer company id.                                                                                                                                          |
| `customerId.oneOf`              | string    | No       | —       | You can use this param to provide customer company ids separated by commas and the responses will contain matches of projects that match any of the given customer company id.                                                                                                                      |
| `customerId.noneOf`             | string    | No       | —       | You can use this param to provide customer company id separated by commas and the responses will not contain matches of projects that match the given set of customer company id.                                                                                                                   |
| `teamMemberId.eq`               | string    | No       | —       | You can use this param to provide a team member id and the responses will contain exact matches of projects that match the given team member id.                                                                                                                                                    |
[...]
